# eSpeak NG online documentation

- [User Guide](guide.md)
  - [espeak-ng Command Line](../src/espeak-ng.1.ronn)
  - [speak-ng Command Line](../src/speak-ng.1.ronn)
  - [Supported Languages](languages.md)
  - [SSML and HTML Support](markup.md)
  - [Using eSpeak NG as a C library](integration.md)
- [Contributor Guide](contributing.md)
  - [Building eSpeak NG](building.md)
- Creating and Editing Languages and Voices
    - [Adding or Improving a Language](add_language.md)
    - [Text to Phoneme Translation](dictionary.md)
    - [Numbers](numbers.md)
  - [Voice Files](voices.md)
    - [MBROLA Voices](mbrola.md)
    - [Phoneme Tables](phontab.md)
  - [Intonation](intonation.md)
- Phonemes
  - [Phoneme Features and the International Phonetic Alphabet](phonemes.md)
  - [Phoneme Model](phoneme_model.md)
    - [Kirshenbaum (ASCII-IPA) Transcription Scheme](phonemes/kirshenbaum.md)
    - [X-SAMPA Transcription Scheme](phonemes/xsampa.md)
    - [Conlang X-SAMPA Transcription Scheme](phonemes/cxs.md)
  - Pronunciation Guides
    - [English](languages/gmw/en.md)
- Other Miscellanous Information
  - Notes on the [Cherokee](languages/iro/chr.md) implementation.  
- [License](../COPYING)

----------


